Holger's Java API

## com.antelmann.net
Class Spider.SMonitor

    java.lang.Object
      com.antelmann.util.Monitor
          com.antelmann.net.Spider.SMonitor

All Implemented Interfaces:
  Enabled, Task<RuntimeException>, Runnable

Enclosing class:
  Spider

Deprecated.

    @Deprecated
    public static class Spider.SMonitor

extends Monitor
implements Runnable

a specialized Monitor that can be used with a Spider; it simply provides some useful progress information during execution of the searchWebFor() function

See Also:
  `Spider.searchWebFor(String[], URL, boolean, int, boolean, String[], Monitor)`

Field Summary

Fields inherited from class com.antelmann.util.Monitor
`test, timer`

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Constructor Summary
`Spider.SMonitor(Logger logger, int maxFound)` Deprecated.

Method Summary
`int` `getCurrentLevel()` Deprecated.
`URL` `getCurrentURL()` Deprecated.
`List<?>` `getExcludeList()` Deprecated.
`int` `getNumberOfPagesFound()` Deprecated.
`int` `getNumberOfPagesSearched()` Deprecated.
`List<?>` `getResultList()` Deprecated.
`List<?>` `getSearchList()` Deprecated.
`void` `run()` Deprecated. prints progress information from the given monitor to either the console or a specified log file
`void` `setMaxFound(int maxFound)` Deprecated.

Methods inherited from class com.antelmann.util.Monitor
`disable, disabled, disableLater, done, enable, enabled, getMax, getMessage, getMin, getNumber, getNumber, getObject, getObject, getSize, getTask, getTimer, increment, increment, isDone, isEnabled, reInitialize, reInitialize, runTask, setEnabled, setMax, setMessage, setMin, setNumber, setNumber, setObject, setObject, setTask, test, test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Spider.SMonitor

    public Spider.SMonitor(Logger logger,
                           int maxFound)

  Deprecated.
  Parameters:
    `logger` - if not null, logger will be used to log all messages there
    `maxFound` - if set to a number >0, run() will disable the given monitor after the given number of pages were reported found by the monitor
  See Also:
    `Spider.searchWebFor(String[], URL, boolean, int, boolean, String[], Monitor)`

Method Detail

### run

    public void run()

  Deprecated.
  prints progress information from the given monitor to either the console or a specified log file

  Specified by:
    `run` in interface `Runnable`

### getNumberOfPagesSearched

    public int getNumberOfPagesSearched()

  Deprecated.

### getCurrentLevel

    public int getCurrentLevel()

  Deprecated.

### getNumberOfPagesFound

    public int getNumberOfPagesFound()

  Deprecated.

### getCurrentURL

    public URL getCurrentURL()

  Deprecated.

### getSearchList

    public List<?> getSearchList()

  Deprecated.

### getExcludeList

    public List<?> getExcludeList()

  Deprecated.

### getResultList

    public List<?> getResultList()

  Deprecated.

### setMaxFound

    public void setMaxFound(int maxFound)

  Deprecated.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads